> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_prompts.md).

# iai prompts

Versioned prompts for agents, evaluators, and guardrails

## Synopsis

Manage general-purpose text and chat prompts in InteractiveAI projects.

Unlike typed commands (routines, policies, glossaries, variables, macros), prompts managed here have no enforced schema or structure. They support two types: "text" (default) and "chat".

## Options

```
  -h, --help   help for prompts
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai prompts create](/cli/iai_prompts_create.md) - Create a prompt
* [iai prompts delete](/cli/iai_prompts_delete.md) - Delete a prompt
* [iai prompts diff](/cli/iai_prompts_diff.md) - Compare two versions of a prompt
* [iai prompts get](/cli/iai_prompts_get.md) - Describe a prompt in detail
* [iai prompts list](/cli/iai_prompts_list.md) - List prompts in a project
* [iai prompts update](/cli/iai_prompts_update.md) - Update a prompt (creates a new version)
* [iai prompts versions](/cli/iai_prompts_versions.md) - List versions of a prompt


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_prompts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
